Bug 61165 - FILESAVE: Moving cells after saving
Summary: FILESAVE: Moving cells after saving
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: BSA target:4.1.0 target:4.0.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-02-20 12:44 UTC by Fabio
Modified: 2013-03-11 10:09 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
In the spreadsheet attached is a written procedure to see the bug. (15.40 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-02-20 12:44 UTC, Fabio
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fabio 2013-02-20 12:44:49 UTC
Created attachment 75170 [details]
In the spreadsheet attached is a written procedure to see the bug.

1) Preparing a sheet with different colored columns and cells with comments.
2)Cutting a cell with comments and move to the left at the bottom.
3)Save the spreadsheet
4)I close the spreadsheet
4)When I open the spreadsheet, some cells are shifted to the right.
Operating System: All
Version: 4.0.0.3 release
Last worked in: 3.5.7.2 release
Comment 1 Thomas van der Meulen 2013-02-20 14:25:14 UTC
Thank you for reporthing this bug,
I can reporduce this bug running LibreOffice 4.0.0.3 on Windows 7.
Comment 2 Commit Notification 2013-03-10 00:36:15 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c7937e2a38501266ed658553c19db5b4a2237864

handle note export correctly, fdo#61165



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2013-03-11 08:44:02 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4428c7e9d73fd6a9722b262f2aab36c6fb8fd859&h=libreoffice-4-0

handle note export correctly, fdo#61165


It will be available in LibreOffice 4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.